@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@700&family=Playfair+Display:wght@700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-family: "Josefin Sans", sans-serif;
  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
  user-drag: none;
}

body {
  background-color: black;
  color: white;
}

#headerContainer {
  display: grid;
  justify-content: space-evenly;
  height: 60px;
  position: sticky;
  top: 0;
  z-index: 10;
  background-color: white;
  grid-template-columns: 33% 34% 33%;
}

.linkContainer {
  display: flex;
  justify-self: center;
  justify-content: space-around;
  width: 100%;
}

a:link {
  text-decoration: none;
}

.link {
  color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 10px;
  transition: all 0.5s ease 0s;
}

.link:hover {
  opacity: 0.7;
}

.link:first-of-type {
  margin-right: 20px;
}

#headerCenter {
  display: block;
  width: unset;
}

#logoContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: black;
  height: 60px;
  transition: all 0.5s ease 0s;
  text-decoration: none;
  padding-bottom: 5px;
}

#logoContainer * {
  font-family: "Playfair Display", serif;
}

#logoContainer:hover {
  opacity: 0.7;
}

#logoTitle {
  font-size: 30px;
}

#logoSubtitle {
  font-size: 16px;
}

#hamburgerMenu {
  width: 24px;
  position: absolute;
  right: 10px;
  top: 50%;
  -webkit-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  transform: translate(0, -50%);
  display: none;
}

#mobileNav {
  color: white;
  background-color: black;
  width: 100%;
  position: absolute;
  bottom: 0;
  transform: translate(0, 100%);
  display: none;
  transition: all 0.2s ease;
  visibility: hidden;
}

#mobileNav .link {
  width: 100%;
  height: 50px;
  background-color: white;
  color: black;
}

#footerContainer {
  background-color: white;
  color: black;
  padding: 20px;
  display: grid;
  grid-template-columns: 50% 50%;
}

#footerLeft {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#footerLeft * {
  font-family: "Playfair Display", serif;
}

#footerTitle {
  font-size: 50px;
}

#footerSubtitle {
  font-size: 30px;
}

#footerRight {
  display: flex;
  flex-direction: column;
  margin: auto;
  justify-content: center;
}

.footerLink {
  text-align: left;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 12px;
}

.footerLink:link,
.footerLink:visited {
  text-decoration: none;
  color: black;
}

.footerIcon {
  height: 20px;
  width: auto;
  margin-right: 10px;
}

@media (max-width: 769px) {
  .linkContainer {
    display: none;
  }

  .link {
    color: white;
    height: 30px;
  }

  #headerContainer {
    display: flex;
  }

  #hamburgerMenu {
    display: unset;
  }

  #mobileNav {
    visibility: unset;
  }

  #footerContainer {
    grid-template-columns: unset;
    grid-template-rows: auto;
  }

  #footerLeft {
    margin-bottom: 20px;
  }

  #footerTitle {
    font-size: 40px;
  }

  #footerSubtitle {
    font-size: 20px;
  }
}
